<h1>WPSSO Tune WP Image Editors</h1><h3>Sharpen Resized / Thumbnail Images for Better Social Shares and SEO</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Tune WP Image Editors</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>WPSSO Core add-on to provide tuning options for the WordPress image editors and PHP image extensions.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>1.2.0</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.8</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 5.0</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>image, sharpen, imagemagick, imagick, resize</td></tr>
</table>

<h2>Description</h2>

<p style="margin:0;"><img class="readme-icon" src="https://surniaulula.github.io/wpsso-tune-image-editors/assets/icon-256x256.png"></p>

<p><strong>Have you noticed that WordPress creates small images that seems a bit "fuzzy" &mdash; nothing like the nice sharp original you uploaded?</strong></p>

<p>The reason is that after an image is resized, that image <em>must</em> be sharpened &mdash; but WordPress doesn't do any sharpening, so the resized image remains a bit "fuzzy" &mdash; not what you want for a featured image or shared image on social sites! ;-)</p>

<p>The WPSSO Tune WP Image Editors (aka WPSSO TIE) add-on provides this missing WordPress feature &mdash; it automatically applies a default amount of sharpening to all JPEG images resized by the WordPress ImageMagick editor.</p>

<p><strong>Compatible with all image compression / optimization plugins:</strong></p>

<p>Image sharpening / adjustments are applied during the WordPress image resize operation, so the resulting resized image / thumbnail can be optimized afterwards as usual.</p>

<h3>Users Love the WPSSO TIE Add-on</h3>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "This plugin helped me tune my images to look really good on social media. Great job!" - <a href="https://wordpress.org/support/topic/really-useful-at-making-your-social-media-images-the-best/">undergroundnetwork</a></p>

<h3>WPSSO TIE Free / Standard Features</h3>

<ul>
<li><p>Extends the features of the WPSSO Core Free or Pro plugin.</p></li>
<li><p>Applies adjustments to resized images (aka thumbnails) using ImageMagick:</p>

<ul>
<li>Enable or disable image adjustments / sharpening for resized images.</li>
<li>Uses a better compression quality of 92% (WordPress default is 82%).</li>
<li>Applies a default amount of sharpening values to all resized images.</li>
</ul></li>
<li><p>Optionally select different primary / secondary image editor(s) for WordPress:</p>

<ul>
<li>GD Only</li>
<li>GD and ImageMagick</li>
<li>ImageMagick Only</li>
<li>ImageMagick and GD (WordPress default)</li>
</ul></li>
<li><p>Download the Free version from <a href="https://surniaulula.github.io/wpsso-tune-image-editots/">GitHub</a> or <a href="https://wordpress.org/plugins/wpsso-tune-image-editots/">WordPress.org</a>.</p></li>
</ul>

<h3>WPSSO TIE Pro / Additional Features</h3>

<ul>
<li><p>Extends the features of WPSSO Core Pro (requires an active and licensed <a href="https://wpsso.com/">WPSSO Core Pro plugin</a>).</p></li>
<li><p>Optionally fine-tune the image filter priority and image adjustment options:</p>

<ul>
<li>Modify the default 'image_make_intermediate_size' filter hook priority.</li>
<li>Enable / disable contrast leveling.</li>
<li>Increase / decrease the compression quality percentage.</li>
<li>Adjust sharpening values individually (sigma, radius, amount, threshold).</li>
</ul></li>
</ul>

<h3>WPSSO Core Plugin Prerequisite</h3>

<p>WPSSO Tune WP Image Editors (aka WPSSO TIE) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core Plugin</a> (Free or Pro version). The <a href="https://wpsso.com/extend/plugins/wpsso-tune-image-editors/">WPSSO TIE Pro add-on</a> uses WPSSO Core Pro features and requires an active and licensed <a href="https://wpsso.com/">WPSSO Core Pro plugin</a>.</p>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-tune-image-editors/installation/install-the-plugin/">Install the WPSSO TIE Add-on</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-tune-image-editors/installation/uninstall-the-plugin/">Uninstall the WPSSO TIE Add-on</a></li>
</ul>


<h2>Frequently Asked Questions</h2>




